Package org.eclipse.mat.ui.snapshot.panes.oql.contentAssist

## Interface SuggestionProvider

All Known Implementing Classes:
  `BuiltinSuggestionProvider`, `ClassesSuggestionProvider`, `FieldsSuggestionProvider`, `MultiSuggestionProvider`, `PropertySuggestionProvider`

    public interface SuggestionProvider

The suggestion provider returns the list of suggestion given a context.

### Method Summary

All Methods Instance Methods Abstract Methods
`java.util.List<ContentAssistElement>` `getSuggestions​(java.lang.String context)` Given the context (prefix provided by the user) it returns available suggestions.

### Method Detail

#### getSuggestions

    java.util.List<ContentAssistElement> getSuggestions​(java.lang.String context)

Given the context (prefix provided by the user) it returns available suggestions.

Parameters:
  `context` - is the prefix to be searched from. It can be an empty String but must not be null.
Returns:
  the list of suggestion proposals.